# $Revision: 1.15 $, $Date: 2005/12/10 10:53:33 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	NITF
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - parse NITF documents
Summary(pl):	%{_pearname} - analiza dokumentw NITF
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	462fa8879bb021a0bafc6b9d44fbb50d
URL:		http://pear.php.net/package/XML_NITF/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-XML_Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a NITF XML parser. The parser was designed with
NITF version 3.1, but should be forward-compatible when new versions
of the NITF DTD are produced. Various methods for accessing the major
elements of the document, such as the hedline(s), byline, and lede are
provided. This class was originally tested against the Associated
Press's (AP) XML data feed.

In PEAR status of this package is: %{_status}.

%description -l pl
Ten pakiet udostpnia analizator dokumentw XML NITF. Analizator
zosta zaprojektowany dla NITF w wersji 3.1, ale powinien by
kompatybilny w przd, kiedy zostan wydane nowe wersje NITF DTD.
Dostpne s rne metody do dostpu do gwnych elementw dokumentu,
takich jak hedline, byline i lede. Ta klasa bya oryginalnie testowana
danymi XML z Associated Press (AP).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_NITF.spec,v $
Revision 1.15  2005/12/10 10:53:33  glen
- 1.1.0-stable

Revision 1.14  2005/10/05 20:59:19  glen
- rel 2

Revision 1.13  2005/10/03 23:45:51  glen
- fixed status

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.10  2005/03/21 15:11:25  adamg
- updated to 1.0.2

Revision 1.9  2005/02/05 19:51:14  adamg
- updated to 1.0.1

Revision 1.8  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.5  2004/02/14 16:55:40  adamg
- added source0-md5

Revision 1.4  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.2  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.1  2003/06/03 20:52:07  adamg
- initial import
